#include <Servo.h>
Servo myservo;

int pos = 0;
int startpos = 5;
int endpos = 40;

int base = 11; // 59-145
int shoulder = 10; // 80-120
int elbow = 9;  // 90-140
int wrist = 6; // 30-150 (0 al centro)
int gripper = 5; // 5-50

int onOff = 3; // interrupt pin with internal pullup

volatile bool runTest = true;

void setup() {
  pinMode(onOff, INPUT_PULLUP);
  attachInterrupt(digitalPinToInterrupt(onOff), stopTest, FALLING);
  myservo.attach(gripper);
}

void stopTest() {
    runTest = false;
}

void loop() {
  if (runTest == true) {
    for (pos = startpos; pos <= endpos; pos += 1) {
      // in steps of 1 degree
      if (not runTest) {
        break;
      }
      myservo.write(pos);
      delay(50);
    }
    delay(500);
    for (pos = endpos; pos >= startpos; pos -= 1) {
      if (not runTest){
        break;
      }
      myservo.write(pos);
      delay(50);
    }
    delay(500);
  }
}
